=== debian/changelog ===
lomiri-app-launch (0.0.90-7) unstable; urgency=medium

  * debian/liblomiri-app-launch0.symbols:
    + Update for mips64el architecture.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 21 Dec 2020 13:35:03 +0100

lomiri-app-launch (0.0.90-6) unstable; urgency=medium

  * debian/control:
    + Update versioned B-D on cmake-extras (>= 1.5-7~).
    + Make B-D on libgtest-dev versioned (>= 1.10.0.20201025-1~).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 13 Dec 2020 19:34:11 +0000

lomiri-app-launch (0.0.90-5) unstable; urgency=medium

  * debian/liblomiri-app-launch0.symbols:
    + Update symbols using pkgkde-symbolshelper.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 28 Sep 2020 23:30:31 +0200

lomiri-app-launch (0.0.90-4) unstable; urgency=medium

  * debian/liblomiri-app-launch0.symbols:
    + Update symbols using pkgkde-symbolshelper.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 09 Sep 2020 16:48:29 +0200

lomiri-app-launch (0.0.90-3) unstable; urgency=medium

  * debian/liblomiri-app-launch0.symbols:
    + Update symbols using pkgkde-symbolshelper.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Sep 2020 15:51:06 +0200

lomiri-app-launch (0.0.90-2) unstable; urgency=medium

  * debian/rules:
    + Include buildflags.mk.
  * debian/control:
    + Fix Vcs-*: URLs.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Jul 2020 01:18:21 +0200

lomiri-app-launch (0.0.90-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #953169).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 19 May 2020 11:23:01 +0200
