## lomiri-app-launch 0.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -76,6 +76,9 @@
 pkg_check_modules(ZEITGEIST REQUIRED zeitgeist-2.0)
 include_directories(${ZEITGEIST_INCLUDE_DIRS})
 
+pkg_check_modules(CLICK REQUIRED click-0.4>=0.4.18)
+include_directories(${CLICK_INCLUDE_DIRS})
+
 pkg_check_modules(DBUS REQUIRED dbus-1)
 include_directories(${DBUS_INCLUDE_DIRS})
 
@@ -104,6 +107,12 @@
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
 
+####################
+# lomiri-app-launch-desktop.click-hook
+####################
+
+configure_file("data/lomiri-app-launch-desktop.click-hook.in" "${CMAKE_CURRENT_SOURCE_DIR}/debian/lomiri-app-launch-desktop.click-hook" @ONLY)
+
 add_subdirectory(liblomiri-app-launch)
 add_subdirectory(tools)
 add_subdirectory(lomiri-app-test)
@@ -126,6 +135,7 @@
   TARGETS
 	lomiri-launcher
 	launcher-static
+	desktop-hook
   TESTS
 	app-store-legacy
 	application-icon-finder-test
