=== liblomiri-app-launch/CMakeLists.txt ===
--- 
+++ 
@@ -39,6 +39,8 @@
 application.cpp
 app-store-base.h
 app-store-base.cpp
+app-store-click.h
+app-store-click.cpp
 app-store-legacy.h
 app-store-legacy.cpp
 app-store-libertine.h
@@ -52,6 +54,8 @@
 registry-impl.cpp
 application-impl-base.h
 application-impl-base.cpp
+application-impl-click.h
+application-impl-click.cpp
 application-impl-legacy.h
 application-impl-legacy.cpp
 application-impl-libertine.h
@@ -179,20 +183,20 @@
 
 set(INTROSPECTION_GIRS)
 set(_introspection_files ${LAUNCHER_HEADERS})
-set(LomiriAppLaunch_3_gir "lomiri-app-launch")
-set(LomiriAppLaunch_3_gir_INCLUDES GObject-2.0)
+set(LomiriAppLaunch_0_gir "lomiri-app-launch")
+set(LomiriAppLaunch_0_gir_INCLUDES GObject-2.0)
 
 gir_get_cflags(_cflags)
 list_prefix(MIR_C_INCLUDES MIR_INCLUDE_DIRS "-I")
-set(LomiriAppLaunch_3_gir_CFLAGS ${c_flags} ${MIR_C_INCLUDES} "-L/usr/local/lib")
-set(LomiriAppLaunch_3_gir_LIBS lomiri-app-launch)
+set(LomiriAppLaunch_0_gir_CFLAGS ${c_flags} ${MIR_C_INCLUDES} "-L/usr/local/lib")
+set(LomiriAppLaunch_0_gir_LIBS lomiri-app-launch)
 
 list_make_absolute(_abs_introspection_files _introspection_files "${CMAKE_CURRENT_SOURCE_DIR}/")
-set(LomiriAppLaunch_3_gir_FILES ${_abs_introspection_files})
-set(LomiriAppLaunch_3_gir_SCANNERFLAGS --c-include "lomiri-app-launch.h")
-set(LomiriAppLaunch_3_gir_EXPORT_PACKAGES "lomiri-app-launch-${API_VERSION}")
-
-list(APPEND INTROSPECTION_GIRS LomiriAppLaunch-3.gir)
+set(LomiriAppLaunch_0_gir_FILES ${_abs_introspection_files})
+set(LomiriAppLaunch_0_gir_SCANNERFLAGS --c-include "lomiri-app-launch.h")
+set(LomiriAppLaunch_0_gir_EXPORT_PACKAGES "lomiri-app-launch-${API_VERSION}")
+
+list(APPEND INTROSPECTION_GIRS LomiriAppLaunch-0.gir)
 gir_add_introspections(INTROSPECTION_GIRS)
 
 add_subdirectory(abi-check)
