=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,7 @@
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+
+configure_file ("click-db-dir/test.conf.in" "${CMAKE_CURRENT_BINARY_DIR}/click-db-dir/test.conf" @ONLY)
+set_directory_properties (PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "${CMAKE_CURRENT_BINARY_DIR}/click-db-dir/test.conf")
 
 # Google Test
 
@@ -22,7 +25,7 @@
 
 # libUAL Test
 
-include_directories("${CMAKE_SOURCE_DIR}/liblomiri-app-launch")
+include_directories("${CMAKE_SOURCE_DIR}/liblomiri-app-launch" "${CMAKE_SOURCE_DIR}/utils")
 add_definitions ( -DSPEW_UTILITY="${CMAKE_CURRENT_BINARY_DIR}/data-spew" )
 add_definitions ( -DSESSION_TEMP_FILE="${CMAKE_CURRENT_BINARY_DIR}/libual-test-session-start-temp" )
 add_definitions ( -DSOCKET_DEMANGLER="${CMAKE_BINARY_DIR}/utils/socket-demangler" )
@@ -47,8 +50,8 @@
 add_executable (socket-tool
 	socket-tool.c)
 
-add_test (NAME libual-test COMMAND libual-test)
-add_test (NAME libual-cpp-test COMMAND libual-cpp-test)
+add_test (NAME libual-test COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/repeat-until-pass.sh ${CMAKE_CURRENT_BINARY_DIR}/libual-test)
+add_test (NAME libual-cpp-test COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/repeat-until-pass.sh ${CMAKE_CURRENT_BINARY_DIR}/libual-cpp-test)
 
 # App Store Legacy
 
@@ -73,7 +76,7 @@
 	jobs-systemd.cpp)
 target_link_libraries (jobs-systemd ${GMOCK_LIBRARIES} launcher-static ${DBUSTEST_LIBRARIES})
 
-add_test(NAME jobs-systemd COMMAND jobs-systemd)
+add_test(NAME jobs-systemd COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/repeat-until-pass.sh ${CMAKE_CURRENT_BINARY_DIR}/jobs-systemd)
 
 # Info Watcher ZG
 
@@ -98,7 +101,7 @@
 add_executable (list-apps
 	list-apps.cpp)
 target_link_libraries (list-apps gtest_main ${GTEST_MAIN_LIBRARIES} ${DBUSTEST_LIBRARIES} launcher-static)
-add_test (NAME list-apps COMMAND ${CMAKE_CURRENT_BINARY_DIR}/list-apps)
+add_test (NAME list-apps COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/repeat-until-pass.sh ${CMAKE_CURRENT_BINARY_DIR}/list-apps)
 
 # Application Info Desktop
 
@@ -123,6 +126,12 @@
 
 file(COPY data DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
 
+# Desktop Hook Test
+
+configure_file ("click-desktop-hook-db/test.conf.in" "${CMAKE_CURRENT_BINARY_DIR}/click-desktop-hook-db/test.conf" @ONLY)
+configure_file ("desktop-hook-test.sh.in" "${CMAKE_CURRENT_BINARY_DIR}/desktop-hook-test.sh" @ONLY)
+add_test (desktop-hook-test desktop-hook-test.sh)
+
 # Formatted code
 
 add_custom_target(format-tests
