=== utils/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,13 @@
+####################
+# desktop-hook
+####################
+
+include_directories("${CMAKE_SOURCE_DIR}/liblomiri-app-launch")
+add_executable(desktop-hook desktop-hook.c)
+set_target_properties(desktop-hook PROPERTIES OUTPUT_NAME "desktop-hook")
+target_link_libraries(desktop-hook launcher-static ${CLICK_LIBRARIES})
+install(TARGETS desktop-hook RUNTIME DESTINATION "${pkglibexecdir}")
+
 ####################
 # oom-adjust-setuid-helper
 ####################
