=== debian/changelog ===
lomiri-app-launch (0.1.1-2) unstable; urgency=medium

  * debian/:
    + Update upstream Git repo URL.
  * debian/patches:
    + Add 1001_fix-builds-with-gcc-12.patch. Thanks to Adrian Bunk for sending
      the patch. (Closes: #1016278).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 13 Sep 2022 18:46:41 +0200

lomiri-app-launch (0.1.1-1) unstable; urgency=medium

  [ Marius Gripsgard ]
  * New upstream release (0.1.1)
  * debian/control:
    + Add missing B-D libclick-dev
  * debian/patches:
    + Remove upstreamed patches
  * debian/changelog:
    + Updated generated copyright.in (using licensecheck)
    + Update copyright to match new upstream release

  [ Mike Gabriel ]
  * debian/source/lintian-overrides:
    + Not required anymore.
  * debian/lomiri-app-test.lintian-overrides:
    + lintian tag renamed from binary-without-manpage to no-manual-page.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 19 Dec 2021 23:04:20 +0100

lomiri-app-launch (0.0.90-10) unstable; urgency=medium

  * debian/rules:
    + Comment out DPKG_GENSYMBOLS_CHECK_LEVEL=4. Let's use level 1 (default)
      and receive less build failures.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 13 Nov 2021 14:45:57 +0100

lomiri-app-launch (0.0.90-9) unstable; urgency=medium

  [ Peter Michael Green ]
  * debian/liblomiri-app-launch0.symbols:
    + Mark a couple of symbols that disappeard with gcc-11 as optional=inline.
  * debian/patches:
    + Add 1004_move-system-headers-outside-extern-c.patch. Adjust includes to
      avoid including glib.h inside extern C as this causes build failures.
    + Add 2003_remove-werror.patch. Remove -Werror, it breaks the build with
      gcc-11 (Closes: 984224).

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/patches:
    + Replace 1004_move-system-headers-outside-extern-c.patch by the official
      upstream patch 0004_Fix-compile-error-with-new-glib-versions.patch.
    + Assure that all patch files have a Forwarded: field.
  * debian/lomiri-app-launch-tools.lintian-overrides:
    + Rename outdated lintian tag 'binary-without-manpage' to 'no-manual-page'.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 12 Nov 2021 11:01:12 +0100

lomiri-app-launch (0.0.90-8) unstable; urgency=medium

  * debian/control:
    + Don't require a versioned B-D on libgtest-dev. (There have been some
      revisions that were broken, but earlier googletest versions should work
      in general).
  * debian/liblomiri-app-launch0.symbols:
    + Update .symbols file for architectures 'alpha' and 'hppa' (Closes:
      #982942).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 24 May 2021 00:41:04 +0200
