=== debian/control ===
--- 
+++ 
@@ -10,12 +10,13 @@
                dbus-test-runner,
                debhelper-compat (= 13),
                googletest,
+               libclick-dev,
                libcurl4-gnutls-dev,
                libdbus-1-dev,
                libdbustest1-dev (>= 14.04.0),
                libgirepository1.0-dev,
                libglib2.0-dev,
-               libgtest-dev (>= 1.10.0.20201025-1~),
+               libgtest-dev,
                libjson-glib-dev (>= 1.1.2),
                liblttng-ust-dev,
                libmirclient-dev (>= 0.5),
@@ -25,9 +26,9 @@
                gobject-introspection,
                pkg-kde-tools,
                python3-dbusmock,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: http://gitlab.com/ubports/core/lomiri-app-launch
+Homepage: http://gitlab.com/ubports/development/core/lomiri-app-launch
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-app-launch.git
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-app-launch/
