## lomiri-app-launch 0.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(lomiri-app-launch C CXX)
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 3.5)
 
 ##########################
 # Version Info
@@ -12,7 +12,11 @@
 # Options
 ##########################
 
-option (enable_tests "Build tests" ON)
+option (ENABLE_TESTS "Build tests" ON)
+option (ENABLE_COVERAGE "Enable coverage reports" ON)
+option (USE_SYSTEMD "Use systemd jobs manager instead of POSIX" ON)
+
+set(AA_EXEC_PATH "/usr/bin/aa-exec" CACHE STRING "Path to aa-exec (AppArmor)")
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")
 
@@ -43,11 +47,15 @@
 set(CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
 set(CMAKE_INSTALL_FULL_PKGDATADIR "${CMAKE_INSTALL_FULL_DATADIR}/${CMAKE_PROJECT_NAME}")
 
-execute_process(COMMAND dpkg-architecture -qDEB_BUILD_MULTIARCH
-	OUTPUT_VARIABLE LOMIRI_APP_LAUNCH_ARCH
-	OUTPUT_STRIP_TRAILING_WHITESPACE
-)
-set(lomiri_app_launch_arch "${LOMIRI_APP_LAUNCH_ARCH}")
+if(NOT LOMIRI_APP_LAUNCH_ARCH)
+	execute_process(COMMAND dpkg-architecture -qDEB_BUILD_MULTIARCH
+		OUTPUT_VARIABLE LOMIRI_APP_LAUNCH_ARCH
+		OUTPUT_STRIP_TRAILING_WHITESPACE
+	)
+	if(NOT LOMIRI_APP_LAUNCH_ARCH)
+		message(FATAL_ERROR "LOMIRI_APP_LAUNCH_ARCH is empty!")
+	endif()
+endif()
 
 add_compile_options(
 # Because we believe in quality
@@ -58,8 +66,6 @@
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
-
-enable_testing()
 
 pkg_check_modules(GLIB2 REQUIRED glib-2.0)
 include_directories(${GLIB2_INCLUDE_DIRS})
@@ -82,8 +88,10 @@
 pkg_check_modules(DBUS REQUIRED dbus-1)
 include_directories(${DBUS_INCLUDE_DIRS})
 
-pkg_check_modules(DBUSTEST REQUIRED dbustest-1>=14.04.0)
-include_directories(${DBUSTEST_INCLUDE_DIRS})
+if(${ENABLE_TESTS})
+  pkg_check_modules(DBUSTEST REQUIRED dbustest-1>=14.04.0)
+  include_directories(${DBUSTEST_INCLUDE_DIRS})
+endif()
 
 pkg_check_modules(LTTNG REQUIRED lttng-ust)
 include_directories(${LTTNG_INCLUDE_DIRS})
@@ -115,40 +123,41 @@
 
 add_subdirectory(liblomiri-app-launch)
 add_subdirectory(tools)
-add_subdirectory(lomiri-app-test)
 add_subdirectory(utils)
 
 # testing & coverage
-if (${enable_tests})
+if (${ENABLE_TESTS})
   enable_testing ()
   add_subdirectory(tests)
 endif ()
 
-find_package(CoverageReport)
-set(filter-list)
-list(APPEND filter-list "/usr/include")
-list(APPEND filter-list "${CMAKE_SOURCE_DIR}/tests/*")
-if (NOT ${CMAKE_BINARY_DIR} STREQUAL ${CMAKE_SOURCE_DIR})
-  list(APPEND filter-list "${CMAKE_BINARY_DIR}/*")
-endif()
-ENABLE_COVERAGE_REPORT(
-  TARGETS
-	lomiri-launcher
-	launcher-static
-	desktop-hook
-  TESTS
-	app-store-legacy
-	application-icon-finder-test
-	application-info-desktop-test
-	helper-test
-	helper-handshake-test
-	info-watcher-zg
-	jobs-base-test
-	jobs-systemd
-	libual-test
-	libual-cpp-test
-	list-apps
-	snapd-info-test
-  FILTER
-  	${filter-list}
-)
+if (${ENABLE_COVERAGE})
+	find_package(CoverageReport)
+	set(filter-list)
+	list(APPEND filter-list "/usr/include")
+	list(APPEND filter-list "${CMAKE_SOURCE_DIR}/tests/*")
+	if (NOT ${CMAKE_BINARY_DIR} STREQUAL ${CMAKE_SOURCE_DIR})
+		list(APPEND filter-list "${CMAKE_BINARY_DIR}/*")
+	endif()
+	ENABLE_COVERAGE_REPORT(
+		TARGETS
+			lomiri-launcher
+			launcher-static
+			desktop-hook
+		TESTS
+			app-store-legacy
+			application-icon-finder-test
+			application-info-desktop-test
+			helper-test
+			helper-handshake-test
+			info-watcher-zg
+			jobs-base-test
+			jobs-systemd
+			liblal-test
+			liblal-cpp-test
+			list-apps
+			snapd-info-test
+		FILTER
+			${filter-list}
+	)
+endif ()
