=== liblomiri-app-launch/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,10 @@
 add_definitions ( -DLOMIRI_APP_LAUNCH_ARCH="${LOMIRI_APP_LAUNCH_ARCH}" )
 add_definitions ( -DHELPER_EXEC_TOOL_DIR="${pkglibexecdir}" )
 add_definitions ( -DHELPER_HELPER_TOOL="${pkglibexecdir}/systemd-helper-helper" )
+add_definitions ( -DAA_EXEC_PATH="${AA_EXEC_PATH}" )
+if (${USE_SYSTEMD})
+	add_definitions ( -DUSE_SYSTEMD=1 )
+endif()
 
 set(LAUNCHER_HEADERS
 lomiri-app-launch.h
