=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -23,25 +23,25 @@
 
 add_test (helper-handshake-test helper-handshake-test)
 
-# libUAL Test
+# libLAL Test
 
 include_directories("${CMAKE_SOURCE_DIR}/liblomiri-app-launch" "${CMAKE_SOURCE_DIR}/utils")
 add_definitions ( -DSPEW_UTILITY="${CMAKE_CURRENT_BINARY_DIR}/data-spew" )
-add_definitions ( -DSESSION_TEMP_FILE="${CMAKE_CURRENT_BINARY_DIR}/libual-test-session-start-temp" )
+add_definitions ( -DSESSION_TEMP_FILE="${CMAKE_CURRENT_BINARY_DIR}/liblal-test-session-start-temp" )
 add_definitions ( -DSOCKET_DEMANGLER="${CMAKE_BINARY_DIR}/utils/socket-demangler" )
 add_definitions ( -DSOCKET_DEMANGLER_INSTALL="${pkglibexecdir}/socket-demangler" )
 add_definitions ( -DSOCKET_TOOL="${CMAKE_CURRENT_BINARY_DIR}/socket-tool" )
 add_definitions ( -DSNAP_BASEDIR="${CMAKE_CURRENT_SOURCE_DIR}/snap-basedir" )
 
-add_executable (libual-test
-	libual-test.cc
+add_executable (liblal-test
+	liblal-test.cc
 	mir-mock.cpp)
-target_link_libraries (libual-test gtest_main ${GTEST_MAIN_LIBRARIES} ${LIBUPSTART_LIBRARIES} ${DBUSTEST_LIBRARIES} launcher-static)
+target_link_libraries (liblal-test gtest_main ${GTEST_MAIN_LIBRARIES} ${LIBUPSTART_LIBRARIES} ${DBUSTEST_LIBRARIES} launcher-static)
 
-add_executable (libual-cpp-test
-	libual-cpp-test.cc
+add_executable (liblal-cpp-test
+	liblal-cpp-test.cc
 	mir-mock.cpp)
-target_link_libraries (libual-cpp-test gtest_main ${GMOCK_LIBRARIES} ${LIBUPSTART_LIBRARIES} ${DBUSTEST_LIBRARIES} launcher-static)
+target_link_libraries (liblal-cpp-test gtest_main ${GMOCK_LIBRARIES} ${LIBUPSTART_LIBRARIES} ${DBUSTEST_LIBRARIES} launcher-static)
 
 add_executable (data-spew
 	data-spew.c)
@@ -50,8 +50,8 @@
 add_executable (socket-tool
 	socket-tool.c)
 
-add_test (NAME libual-test COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/repeat-until-pass.sh ${CMAKE_CURRENT_BINARY_DIR}/libual-test)
-add_test (NAME libual-cpp-test COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/repeat-until-pass.sh ${CMAKE_CURRENT_BINARY_DIR}/libual-cpp-test)
+add_test (NAME liblal-test COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/repeat-until-pass.sh ${CMAKE_CURRENT_BINARY_DIR}/liblal-test)
+add_test (NAME liblal-cpp-test COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/repeat-until-pass.sh ${CMAKE_CURRENT_BINARY_DIR}/liblal-cpp-test)
 
 # App Store Legacy
 
@@ -138,8 +138,8 @@
 	COMMAND clang-format -i -style=file
 	application-info-desktop.cpp
 	app-store-legacy.cpp
-	libual-cpp-test.cc
-	libual-test.cc
+	liblal-cpp-test.cc
+	liblal-test.cc
 	list-apps.cpp
 	eventually-fixture.h
 	info-watcher-zg.cpp
