=== debian/changelog ===
lomiri-app-launch (0.1.2-1) unstable; urgency=medium

  * New upstream release v0.1.2
  * debian/patches:
    + Drop upstreamed patch:
      - 1001_fix-builds-with-gcc-12.patch
  * debian/copyright:
    +  Update to march upstream
  * debian/:
    + Drop lomiri-app-test as this was removed upstream

 -- Marius Gripsgard <marius@ubports.com>  Mon, 02 Jan 2023 11:22:21 +0100
