=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
+ Marius Gripsgard <marius@ubports.com>,
 Build-Depends: abi-compliance-checker,
                cmake,
                cmake-extras (>= 1.5-7~),
@@ -113,16 +114,3 @@
  .
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings for liblomiri-app-launch0.
-
-Package: lomiri-app-test
-Architecture: any
-Section: devel
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         qtchooser,
-Description: Small application to help test apps
- Application launching system and associated utilities that is used to
- launch applications in a standard and confined way.
- .
- Uses trusted prompt sessions to provide a way to easily run a command on
- the command line to look at stdout or stderr for developers.
