=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-export DPKG_GENSYMBOLS_CHECK_LEVEL=4
+
+# Uncomment this to be more picky with non-updated .symbols files
+#export DPKG_GENSYMBOLS_CHECK_LEVEL=4
 
 include /usr/share/dpkg/architecture.mk
