## lomiri-app-launch 0.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,10 @@
 # Version Info
 ##########################
 
-set(API_VERSION 0)
+set(VERSION_MAJOR 0)
+set(VERSION_MINOR 1)
+set(VERSION_PATCH 3)
+
 set(ABI_VERSION 0)
 
 ##########################
@@ -15,6 +18,7 @@
 option (ENABLE_TESTS "Build tests" ON)
 option (ENABLE_COVERAGE "Enable coverage reports" ON)
 option (USE_SYSTEMD "Use systemd jobs manager instead of POSIX" ON)
+option (ENABLE_MIRCLIENT "Enable helper session using mirclient" ON)
 
 set(AA_EXEC_PATH "/usr/bin/aa-exec" CACHE STRING "Path to aa-exec (AppArmor)")
 
@@ -96,8 +100,10 @@
 pkg_check_modules(LTTNG REQUIRED lttng-ust)
 include_directories(${LTTNG_INCLUDE_DIRS})
 
-pkg_check_modules(MIR REQUIRED mirclient)
-include_directories(${MIR_INCLUDE_DIRS})
+if(ENABLE_MIRCLIENT)
+  pkg_check_modules(MIR REQUIRED mirclient)
+  include_directories(${MIR_INCLUDE_DIRS})
+endif()
 
 pkg_check_modules(LIBERTINE libertine)
 include_directories(${LIBERTINE_INCLUDE_DIRS})
