=== debian/changelog ===
lomiri-app-launch (0.1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001-Add-option-to-disable-mirclient.patch. Applied upstream.
    + Add 1001_typo-fixes.patch.
    + Rebase 2003_remove-werror.patch.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/lomiri-app-launch-tools.lintian-overrides:
    + Switch to new format.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Jan 2023 19:46:28 +0100

lomiri-app-launch (0.1.2-3) unstable; urgency=medium

  * [debian/*.symbols] Mark unused symbols that would otherwise be optimized out

 -- Marius Gripsgard <marius@ubports.com>  Sat, 07 Jan 2023 13:58:59 +0100

lomiri-app-launch (0.1.2-2) unstable; urgency=medium

  * Build without mirclient
  * Add patch to support build without mirclient

 -- Marius Gripsgard <marius@ubports.com>  Mon, 02 Jan 2023 11:34:32 +0100
