=== debian/control ===
--- 
+++ 
@@ -20,14 +20,13 @@
                libgtest-dev,
                libjson-glib-dev (>= 1.1.2),
                liblttng-ust-dev,
-               libmirclient-dev (>= 0.5),
                libproperties-cpp-dev,
                liblomiri-api-dev (>= 0.1.0),
                libzeitgeist-2.0-dev,
                gobject-introspection,
                pkg-kde-tools,
                python3-dbusmock,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://gitlab.com/ubports/development/core/lomiri-app-launch
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-app-launch.git
@@ -85,7 +84,6 @@
          ${shlibs:Depends},
          gir1.2-lomiriapplaunch-0 (= ${binary:Version}),
          libglib2.0-dev,
-         libmirclient-dev (>= 0.5),
          libproperties-cpp-dev,
          liblomiri-app-launch0 (= ${binary:Version}),
 Pre-Depends: ${misc:Pre-Depends},
